<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Minifyer</title>
    <link rel="stylesheet" href="../assets/style/main.css">
    <script>
        var renderer = require('../assets/js/renderers/renderer-options.js')
    </script>
</head>

<body class="options">
    <div class="transbg"> </div>
    <div class="content">
        <div id="options">
            <h3 class="title is-3">
                <script>document.write(renderer.localization.web.PARAMETERS)</script>
            </h3>
            <fieldset>
                <legend class="title is-4">
                    <script>document.write(renderer.localization.web.GENERAL)</script>
                </legend>
                <div id="generalOptions" class="field">

                </div>
            </fieldset>
            <fieldset>
                <legend class="title is-4">
                    <script>document.write(renderer.localization.web.COMPRESSION)</script>
                </legend>
                <nav id="compression" class="level is-mobile">
                    <div class="level-item has-text-centered">
                        <div>
                            <p class="heading">JavaScript</p>
                            <div class="field">
                                <div class="control has-text-centered">
                                    <div class="select is-info">
                                        <select name="js" onfocus="renderer.showCompressionOptions(this)" onchange="renderer.updateConfigCompressionCompressor(this)">
                                            <option value="uglifyjs">UGLIFYJS</option>
                                            <option value="butternut">BUTTERNUT</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="level-item has-text-centered">
                        <div>
                            <p class="heading">CSS</p>
                            <div class="field">
                                <div class="control has-text-centered">
                                    <div class="select is-info">
                                        <select name="css" onfocus="renderer.showCompressionOptions(this)" onchange="renderer.updateConfigCompressionCompressor(this)">
                                            <option value="yui">YUI</option>
                                            <option value="clean-css">CLEAN CSS</option>
                                            <option value="csso">CSSO</option>
                                            <option value="sqwish">SQWISH</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="level-item has-text-centered">
                        <div>
                            <p class="heading">SCSS</p>
                            <div class="field">
                                <div class="control has-text-centered">
                                    <div class="select is-info">
                                        <select name="scss" onfocus="renderer.showCompressionOptions(this)" onchange="renderer.updateConfigCompressionCompressor(this)">
                                            <option value="node-sass">NODE-SASS</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </nav>

                <div id="compressionOptions" class="field">

                </div>
            </fieldset>
        </div>


</body>

</html>